Update install-p4-tools.sh to use P4Runtime v1.0

Includes also various improvements to the p4vm scripts, such as:
- Choose to build VM with Ubuntu 16.04 or 18.04 (experimental)
- Allow users to specify version of protobuf and grpc to use
- Avoid building protobuf and grpc if already installed in the system
- Install Bazel 0.22

Also:
- Remove check for invalid group member weights (now PI always returns
members with weight 1)
- Re-compiled all P4 programs and fixed missing padding in controller
packet headers

Change-Id: I0e672fcebbaba63354c749f0c774af251f3cbc6c
diff --git a/tools/test/bin/stratum-install b/tools/test/bin/stratum-install
index 72622cd..0008252 100755
--- a/tools/test/bin/stratum-install
+++ b/tools/test/bin/stratum-install
@@ -3,6 +3,8 @@
 # Builds dependencies and copies stratum_bmv2 binary to a remote node.
 # -----------------------------------------------------------------------------
 
+set -e
+
 function _usage () {
 cat << _EOF_
 usage: